NetBSD-Users archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: BSD Licensing Compatibility

Martin <> writes:

> The filesystems i was looking at are:
> UFS2
> JFS: GPL v1
> AdvFS: GPL v2

You should spend the time to understand the licensing issues.  It is not
immediately clear if GPL1 and GPL2 are compatible.  My memory is fuzzy
on this piont, and GPL1 is almost unheard of these days.

Also, you should heed Andrew's point about (original/4-clause) BSD vs
(modified/3-clause) BSD not being compatible with the GPL.  (But, I
don't think it makes any sense to assign incompatibility blame; licenses
are incompatible iff it is not possible to satisfy them simultaneously.)

Attachment: pgp5gi8prn4OG.pgp
Description: PGP signature

Home | Main Index | Thread Index | Old Index